## GOLocaleSel

GOLocaleSel

## Synopsis

                        GOLocaleSel;
    gchar *             go_locale_sel_get_locale            (GOLocaleSel *cs);
    const char *        go_locale_sel_get_locale_name       (GOLocaleSel *cs,
                                                             const char *loc);
    GtkWidget *         go_locale_sel_new                   (void);
    gboolean            go_locale_sel_set_locale            (GOLocaleSel *cs,
                                                             const char *loc);
    void                go_locale_sel_set_sensitive         (GOLocaleSel *cs,
                                                             gboolean sensitive);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GOLocaleSel

## Implemented Interfaces

GOLocaleSel implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Signals

      "locale-changed"                                 : Run Last

## Description

## Details

### GOLocaleSel

    typedef struct _GOLocaleSel GOLocaleSel;

### go_locale_sel_get_locale ()

    gchar *             go_locale_sel_get_locale            (GOLocaleSel *cs);

### go_locale_sel_get_locale_name ()

    const char *        go_locale_sel_get_locale_name       (GOLocaleSel *cs,
                                                             const char *loc);

### go_locale_sel_new ()

    GtkWidget *         go_locale_sel_new                   (void);

### go_locale_sel_set_locale ()

    gboolean            go_locale_sel_set_locale            (GOLocaleSel *cs,
                                                             const char *loc);

### go_locale_sel_set_sensitive ()

    void                go_locale_sel_set_sensitive         (GOLocaleSel *cs,
                                                             gboolean sensitive);

## Signal Details

### The `"locale-changed"` signal

    void                user_function                      (GOLocaleSel *golocalesel,
                                                            gpointer     arg1,
                                                            gpointer     user_data)        : Run Last

`golocalesel` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.